Subject: Re: Advice needed on IP-over-InfiniBand driver

From: "David S. Miller" <[email-masked]>
Date: Mon, 27 Sep 2004 21:52:44 -0700

On Mon, 27 Sep 2004 21:41:12 -0700
Roland Dreier <[email-masked]> wrote:

> I've been mulling over the previous advice I got and reading over the
> networking code, and I hope I have some more intelligent questions
> now.  It seems I really have two somewhat independent issues to
> resolve with respect to IP-over-IB address resolution:
> 
>  - IPoIB adds a second InfiniBand-specific path record lookup after
>    the normal ARP/ND lookup.  I think I have a handle on how this can
>    be added to net/ipv4/arp.c.

I think you might learn something by having a look at
what net/atm/clip.c is doing, it creates it's own neighbour
layer for CLIP ATM neighbours.  It is in a similar boat to
your IPoIB stuff.